Package org.apache.sling.servlets.get.impl.helpers

# Class XMLRenderer

java.lang.Object
org.apache.sling.servlets.get.impl.helpers.XMLRenderer

All Implemented Interfaces:
  `Renderer`

public class XMLRenderer extends Object implements Renderer
The `XMLRendererServlet` renders the current resource in XML on behalf of the `DefaultGetServlet`. At the moment only JCR nodes can be rendered as XML.

## Constructor Summary

Constructors
Constructor
Description
`XMLRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`render(org.apache.sling.api.SlingJakartaHttpServletRequest req, org.apache.sling.api.SlingJakartaHttpServletResponse resp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLRenderer

public XMLRenderer()

## Method Details

### render

public void render(org.apache.sling.api.SlingJakartaHttpServletRequest req, org.apache.sling.api.SlingJakartaHttpServletResponse resp) throws IOException

Specified by:
  `render` in interface `Renderer`
Throws:
  `IOException`